Subject: Re: [PATCHv2/RFC] gitweb: Prepare for splitting gitweb

From: Jakub Narebski <[email-masked]>
Date: Wed, 14 Jul 2010 11:24:58 +0200

On Wed, 14 Jul 2010, Ævar Arnfjörð Bjarmason wrote:
> On Tue, Jul 13, 2010 at 22:24, Jakub Narebski <[email-masked]> wrote:
> 
> > I wrote simple script that tests result of __DIR__ and $FindBin::Bin.
> > For cgi-bin / mod_cgi it was:
> >
> >  __DIR__       = /var/www/cgi-bin/gitweb (symlink to /home/local/gitweb)
> >  $FindBin::Bin = /home/local/gitweb
> >
> > For mod_perl (ModPerl::Registry handler) it was
> >
> >  __DIR__       = /var/www/perl/gitweb (symlink to /home/local/gitweb)
> >  $FindBin::Bin = /
> >
> > As you can see it's useless.  I have't checked the FastCGI case...
> 
> Thanks for spending time researching what was an offhand ignorant "hey
> wasn't .." comment. Also, sorry :)

Nothing to it.  I wanted to check if there really is a problem with 
FindBin on mod_perl, as I was not sure with description in "Known Issues"
section in FindBin manpage.

Note that using 'FindBin->again();' after 'use FindBin;' fixes this
issue.  So perhaps it would be beter to use FindBin than borrow code
for __DIR__ from Dir::Self.

> But that's very informative. Good to know that FindBin is broken like
> that under mod_perl.

It might be only under ModPerl::Registry, but it might be not.

-- 
Jakub Narebski
Poland